##  for PCLinuxOS  ##

%define ver 2.28.5105.102
%define commit_id 4081973
%define rel 1

%define ibus_ver 1.5.28

%define apply_bazel_build_patch 0

%define build_fcitx5_mozc 1
%define fcitx5_ver 5.0.23
%define mozc_fcitx5_rev 2122141
%if %{build_fcitx5_mozc}
%define apply_bazel_build_patch 1
%endif

%define build_uim_mozc 1
%define uim_ver 1.8.9
%define mozc_uim_rev 4f5da5e
%if %{build_uim_mozc}
%define apply_bazel_build_patch 1
%endif


Name:    mozc
Summary: Mozc - a Japanese Input Method Editor (IME)
Summary(ja): Mozc - 日本語 IME
Version: %{ver}
Release: %{rel}.nora23
License: BSD 3-Clause
Group:   System/Internationalization
URL:     https://github.com/google/mozc

# This source tar ball generated by Source1.
Source0: mozc-%{version}.%{commit_id}.tar.xz
# This script get the source code of Mozc
Source1: get-mozc-source-code.sh

## Source5-7 third party files
# from https://github.com/abseil/abseil-cpp/releases/tag/20230125.3
Source5: abseil-cpp-20230125.3.tar.gz
# https://github.com/hiroyuki-komatsu/japanese-usage-dictionary/tree/e5b3425575734c323e1d947009dd74709437b684
Source6: japanese-usage-dictionary-e5b3425575734c323e1d947009dd74709437b684.zip
# from https://github.com/protocolbuffers/protobuf/releases/tag/v3.22.5
Source7: protobuf-3.22.5.tar.gz

# for emacs
Source10: mozc-init.el

# desktop entries
Source15: mozc-preference.desktop.in
Source16: mozc-dict.desktop.in

# fcitx5-mozc
# Source20 from https://github.com/fcitx/mozc/tree/fcitx
# This source include icons and scripts for fcitx5.
Source20: mozc-fcitx5-%{mozc_fcitx5_rev}.tar.xz

%if %{build_uim_mozc}
# Source30 from https://github.com/shitamo/mozc
# for build uim-mozc using Bazel
Source30: mozc-uim-%{mozc_uim_rev}.tar.xz
# fix for newer mozc
Patch30: fix-uim-mozc.patch
%endif

# workaround for Bazel build
Patch2: fix-path-for-PCLOS.patch
# for fcitx5-mozc and uim-mozc
Patch3: fcitx5-mozc-and-uim-mozc-bazel-build.patch

# bazel
Source90: https://github.com/bazelbuild/bazel/releases/download/6.2.0/bazel-6.2.0-linux-x86_64

BuildRequires: python3
BuildRequires: dbus-devel
BuildRequires: glib2-devel
BuildRequires: libxt-devel
BuildRequires: libxcb-devel
BuildRequires: unzip
BuildRequires: libpthread-stubs
BuildRequires: qt5gui-devel
BuildRequires: qt5widgets-devel
BuildRequires: ibus-devel >= %{ibus_ver}
BuildRequires: emacs

Requires:  mozc-tools = %{version}-%{release}
Conflicts: mozc-ut-neologd, mozc-ut

%description
Mozc is a Japanese Input Method Editor (IME) designed for multi-platform such as Chromium OS, Windows, Mac and Linux.
Mozc originates from Google Japanese Input.

%description -l ja
Mozc はマルチプラットフォーム対応の日本語入力システムで、「Google 日本語入力」をオープンソース化したものです。（但し辞書は「Google 日本語入力」とは異なっています）

%post
if pgrep -x mozc_server > /dev/null; then
pkill -x mozc_server
fi

# --------------------------------------------------------------

%package tools
Summary: Mozc utilities
Summary(ja): Mozc の為のツール
Group:   System/Internationalization
Requires: lib64qt5gui5
Requires: lib64qt5widgets5
Requires: mozc = %{version}-%{release}
Conflicts: mozc-ut-neologd-tools, mozc-ut-tools

%description tools
This package contain Mozc GUI utilities (mozc_tool), such as the configuration dialog, user dictionary tool and about dialog.

%description tools -l ja
このパッケージには、Mozc の各種設定と辞書管理を行うための GUI 版ツール (mozc_tool) が含まれています。

# ---------------------------------------------------------------

%package -n ibus-mozc
Summary: IBus engine module for Mozc.
Summary(ja): IBus 用 Mozc エンジン
Group:   System/Internationalization
Requires: ibus >= %{ibus_ver}
Requires: mozc = %{version}-%{release}
Conflicts: ibus-mozc-ut-neologd, ibus-mozc-ut

%description -n ibus-mozc
This package contain IBus engine module for Mozc.

* If you use ibus, please restart ibus after installed this package.

%description -n ibus-mozc -l ja
このパッケージには、Mozc の IBus 用エンジンモジュールが含まれています。
このパッケージをインストールすることで、IBus で Mozc を使用できる様になります。

※ ibus を使用中の場合には、インストール後に ibus を再起動してください。

%post -n ibus-mozc
[ -x %{_bindir}/ibus ] && %{_bindir}/ibus write-cache --system >& /dev/null || :

%postun -n ibus-mozc
[ -x %{_bindir}/ibus ] && %{_bindir}/ibus write-cache --system >& /dev/null || :

# ---------------------------------------------------------------

%package -n emacs-mozc
Summary: Emacs helper module for Mozc
Summary(ja): Emacs 用 Mozc クライアント
Group:   System/Internationalization
Requires: emacs-common
Requires: mozc = %{version}-%{release}
Conflicts: emacs-mozc-ut-neologd, emacs-mozc-ut

%description -n emacs-mozc
This package contain emacs helper module for Mozc.

%description -n emacs-mozc -l ja
このパッケージには、emacs 用の Mozc ヘルパーモジュールが含まれています。

# --------------------------------------------------------------

%if %{build_uim_mozc}
%package -n uim-mozc
Summary: Uim plugin for Mozc
Summary(ja): Uim 用 Mozc プラグイン
Group:   System/Internationalization
BuildRequires: uim-devel >= %{uim_ver}
BuildRequires: libgtk+2-devel
Requires: mozc = %{version}-%{release}
Requires: uim >= %{uim_ver}
Requires(post,preun):  uim >= %{uim_ver}
Conflicts: uim-mozc-ut-neologd, uim-mozc-ut

%description -n uim-mozc
This package contain Uim plugin for Mozc.

* If you use uim, please restart the computer after installed this package.

%description -n uim-mozc -l ja
Uim で Mozc を使用するためのプラグインです。

※ uim を使用中の場合には、インストール後にコンピューターを再起動することを推奨します。

%post -n uim-mozc
%{_bindir}/uim-module-manager --register mozc > /dev/null 2>&1

%preun -n uim-mozc
if [ $1 = 0 ]; then
rpm -q --quiet uim-mozc-ut-neologd || \
%{_bindir}/uim-module-manager --unregister mozc > /dev/null 2>&1
fi
%endif

# --------------------------------------------------------------

%if %{build_fcitx5_mozc}
%package -n fcitx5-mozc
Summary: Mozc engine for fcitx5
Summary(ja): fcitx5 用 Mozc エンジン
Group:   System/Internationalization
BuildRequires: fcitx5-devel >= %{fcitx5_ver}
BuildRequires: gettext
Requires: mozc = %{version}-%{release}
Requires: fcitx5 >= %{fcitx5_ver}
Conflicts: fcitx5-mozc-ut-neologd, fcitx5-mozc-ut

%description -n fcitx5-mozc
fcitx5-mozc provides client part of the Mozc.

* If you use fcitx5, please restart fcitx5 after installed this package.

%description -n fcitx5-mozc -l ja
このパッケージには、Mozc の fcitx5 用エンジンモジュールが含まれています。
このパッケージをインストールすることで、fcitx5 で Mozc を使用できるようになります。

※ fcitx5 を使用中の場合には、このパッケージをインストール後に fcitx5 を再起動してください。
%endif

# --------------------------------------------------------------

%prep
%setup -q -n mozc-%{version}.%{commit_id}

%patch2 -p1
%if %{apply_bazel_build_patch}
%patch3 -p1
%endif

## install third_party files
pushd src/third_party
# abseil
mkdir abseil-cpp
tar -xaf %{SOURCE5} -C abseil-cpp --strip-components 1
# japanese_usage_dictionary
unzip -j -d japanese_usage_dictionary %{SOURCE6}
# protobuf
mkdir protobuf
tar -xaf %{SOURCE7} -C protobuf --strip-components 1
popd

# fcitx5-mozc
tar -xaf %{SOURCE20}
cp -rf mozc-fcitx5-%{mozc_fcitx5_rev}/* .

# uim-mozc
%if %{build_uim_mozc}
tar -xaf %{SOURCE30}
pushd mozc-uim-%{mozc_uim_rev}/src
%patch30 -p0
# fix path for PCLOS
sed -i 's|/usr/lib|%{_libdir}|g' unix/uim/scm/mozc-custom.scm
cp -rf * ../../src/
popd
%endif

# ---------------------------------------------------------------

%build
## enter to src directory
pushd src

# workaround for ccache
if $(grep 'USE_CCACHE_DEFAULT="yes"' /etc/sysconfig/ccache > /dev/null); then
export CC="/usr/bin/gcc"
export CXX="/usr/bin/g++"
fi

# bazel
cp %{SOURCE90} bazel-linux && chmod 0755 bazel-linux

./bazel-linux build package \
%if %{build_fcitx5_mozc}
unix/fcitx5:fcitx5-mozc.so \
%endif
%if %{build_uim_mozc}
unix/uim:libuim-mozc.so \
%endif
--config oss_linux -c opt

./bazel-linux shutdown

## leave from src directory
popd

# --------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT

## enter to src directory
pushd src

unzip -q ./bazel-bin/unix/mozc.zip -d $RPM_BUILD_ROOT
chmod 0755 $RPM_BUILD_ROOT%{_bindir}/mozc_emacs_helper
chmod -R 0755 $RPM_BUILD_ROOT%{_libdir}
rm -rf $RPM_BUILD_ROOT/tmp

## for ibus-mozc
sed -i 's|0\.0\.0\.0|%{version}|g' $RPM_BUILD_ROOT%{_datadir}/ibus/component/mozc.xml
chmod 0644 $RPM_BUILD_ROOT%{_datadir}/ibus/component/mozc.xml
# replace some icons by fcitx-mozc-icons
for i in dictionary properties tool; do
  install -m0644 ../scripts/icons/ui-$i.png $RPM_BUILD_ROOT%{_datadir}/ibus-mozc/$i.png
done

## for emacs client
install -D -m0644 %{SOURCE10} $RPM_BUILD_ROOT%{_sysconfdir}/emacs/site-start.d/mozc-init.el
emacs -batch -f batch-byte-compile $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp/emacs-mozc/mozc.el

## install fcitx5-mozc
%if %{build_fcitx5_mozc}
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}/hicolor/{32x32,48x48,128x128}/apps
sed -i -e "s|-/usr|-$RPM_BUILD_ROOT/usr|g" ../scripts/install_fcitx5_bazel
sed -i -e "s|lib/|lib64/|g" ../scripts/install_fcitx5_bazel
sh ../scripts/install_fcitx5_bazel
%endif

## install uim-mozc
%if %{build_uim_mozc}
install -D -m0755 ./bazel-bin/unix/uim/libuim-mozc.so $RPM_BUILD_ROOT%{_libdir}/uim/plugin/libuim-mozc.so
mkdir -p $RPM_BUILD_ROOT%{_datadir}/uim/pixmaps
install -m0644 unix/uim/scm/*.scm $RPM_BUILD_ROOT%{_datadir}/uim/
# install icons for uim-mozc
install -m0644 $RPM_BUILD_ROOT%{_iconsdir}/mozc/mozc.png $RPM_BUILD_ROOT%{_datadir}/uim/pixmaps/mozc.png
pushd ../scripts/icons
  install -m0644 ui-tool.png $RPM_BUILD_ROOT%{_datadir}/uim/pixmaps/mozc_tool_selector.png
  install -m0644 ui-properties.png $RPM_BUILD_ROOT%{_datadir}/uim/pixmaps/mozc_tool_config_dialog.png
  install -m0644 ui-dictionary.png $RPM_BUILD_ROOT%{_datadir}/uim/pixmaps/mozc_tool_dictionary_tool.png
popd
%endif

## install desktop entries for MozcTool
mkdir $RPM_BUILD_ROOT%{_datadir}/applications
sed -e 's|@LIBDIR@|%{_libdir}|' < %{SOURCE15} > $RPM_BUILD_ROOT%{_datadir}/applications/mozc-preference.desktop
sed -e 's|@LIBDIR@|%{_libdir}|' < %{SOURCE16} > $RPM_BUILD_ROOT%{_datadir}/applications/mozc-dict.desktop

## copyright
cp data/installer/credits_*.html ../

## leave from src directory
popd

## 
mkdir -p $RPM_BUILD_ROOT%{_datadir}/appdata
cat > $RPM_BUILD_ROOT%{_datadir}/appdata/mozc.appdata.xml <<EOF
<?xml version="1.0" encoding="UTF-8"?>
<component type="inputmethod">
  <id>mozc.xml</id>
  <metadata_license>CC0-1.0</metadata_license>
  <name>Mozc</name>
  <summary>Japanese input method</summary>
  <description>
    <p>
      The Mozc input method is designed for entering Japanese text.
      It is multi-platform and is available on Chromium OS, Windows, Mac and Linux.
    </p>
    <p>
      Input methods are typing systems allowing users to input complex languages.
      They are necessary because these contain too many characters to simply be laid
      out on a traditional keyboard.
    </p>
  </description>
  <url type="homepage">https://github.com/google/mozc</url>
  <url type="bugtracker">https://github.com/google/mozc/issues</url>
  <url type="help"><!-- https://code.google.com/p/ibus/wiki/FAQ --></url>
  <languages>
    <lang percentage="100">ja</lang>
  </languages>
  <update_contact><!-- upstream-contact_at_email.com --></update_contact>
</component>
EOF

# -------------------------------------------------------------

%clean
#pushd src
#bazel clean
#popd
rm -rf $RPM_BUILD_ROOT

# --------------------------------------------------------------

%files
%defattr(-,root,root,-)
%doc *.html *.md AUTHORS CONTRIBUTORS LICENSE docs
%{_libdir}/mozc/mozc_server
%{_datadir}/appdata/mozc.appdata.xml
%{_iconsdir}/mozc/*

%files tools
%defattr(-,root,root,-)
%{_libdir}/mozc/mozc_tool
%{_datadir}/applications/mozc-*.desktop

%files -n ibus-mozc
%defattr(-,root,root,-)
%{_libdir}/ibus-mozc/ibus-engine-mozc
%{_libdir}/mozc/mozc_renderer
%{_datadir}/ibus/component/mozc.xml
%{_datadir}/ibus-mozc/*

%files -n emacs-mozc
%defattr(-,root,root,-)
%{_bindir}/mozc_emacs_helper
%{_datadir}/emacs/site-lisp/emacs-mozc/*
%{_sysconfdir}/emacs/site-start.d/mozc-init.el

%if %{build_fcitx5_mozc}
%files -n fcitx5-mozc
%defattr(-,root,root)
%{_libdir}/fcitx5/fcitx5-mozc.so
%{_datadir}/fcitx5/addon/mozc.conf
%{_datadir}/fcitx5/inputmethod/mozc.conf
%{_datadir}/locale/*/LC_MESSAGES/fcitx5-mozc.mo
%{_datadir}/metainfo/org.fcitx.Fcitx5.Addon.Mozc.metainfo.xml
%{_iconsdir}/hicolor/32x32/apps/fcitx-mozc.png
%{_iconsdir}/hicolor/32x32/apps/org.fcitx.Fcitx5.fcitx-mozc.png
%{_iconsdir}/hicolor/128x128/apps/fcitx-mozc.png
%{_iconsdir}/hicolor/128x128/apps/org.fcitx.Fcitx5.fcitx-mozc.png
%{_iconsdir}/hicolor/48x48/apps/fcitx-mozc-*.png
%{_iconsdir}/hicolor/48x48/apps/org.fcitx.Fcitx5.fcitx-mozc-*.png
%endif

%if %{build_uim_mozc}
%files -n uim-mozc
%defattr(-,root,root)
%{_libdir}/uim/plugin/libuim-mozc.so
%{_datadir}/uim/mozc*.scm
%{_datadir}/uim/pixmaps/*.png
%endif

# --------------------------------------------------------------

%changelog
* Sat May 20 2023 tomcat <> 2.28.5105.102-1
- Mozc update to 2.28.5105.102 (rev.4081973)
- update Source20:mozc-fcitx5 to rev.2122141
- update Source5:abseil-cpp to 20230125.3
- update Source7:protobuf to 3.22.5
- update Source90:bazel to 6.2.0

* Tue Mar 28 2023 tomcat <> 2.28.5050.102-1
- Mozc update to 2.28.5050.102 (rev.163af2e)
- update bazel (Source90) to 6.1.0

* Thu Mar 02 2023 tomcat <> 2.28.5029.102-1
- Mozc update to 2.28.5029.102 (rev.961949a)

* Sat Feb 18 2023 tomcat <> 2.28.5017.102-1
- Mozc update to 2.28.5017.102 (rev.1ba20ed)
- update Source20:mozc-fcitx5 to rev.c256bd5

* Sun Feb 12 2023 tomcat <> 2.28.5008.102-1
- Mozc update to 2.28.5008.102 (rev.913bb5b)

* Wed Feb 08 2023 tomcat <> 2.28.5000.102-2
- Mozc update to rev.f611e88
- update Source20:mozc-fcitx5 to rev.7bafa6c

* Wed Feb 01 2023 tomcat <> 2.28.5000.102-1
- Mozc update to 2.28.5000.102 (rev.73d7c0b)
- update Source5 (abseil-cpp) to 20220623.1
- update Source20:mozc-fcitx5 to rev.cb35275
- update Source30:mozc-uim to rev.4f5da5e
- update Patch3:fcitx5-mozc-and-uim-mozc-bazel-build.patch

* Sun Jan 22 2023 tomcat <> 2.28.4990.102-1
- Mozc update to 2.28.4990.102 (rev.811cb8c)
- update mozc-fcitx5 to rev.ccdbd8c
- update uim-mozc to rev.1244266

* Fri Jan 20 2023 tomcat <> 2.28.4960.102-2
- Mozc update to rev.7349acc
- update Patch2:fix-path-for-PCLOS.patch
- add Conflicts:mozc-ut
- renumber Sources

* Sat Dec 31 2022 tomcat <> 2.28.4960.102-1
- update to 2.28.4960.102 (rev.7ec82c9)
    * update Patch2:fix-path-for-PCLOS.patch
    * update %%install section
    * update %%files
- fix Source10:mozc-init.el
- update Source90:bazel-6.0.0-linux-x86_64
- update Source21:mozc-fcitx5 to rev.d4a26a6
- update Source5 and Source6 due to change the icon path
    * update %%files mozc-tools

* Sun Oct 23 2022 tomcat <> 2.28.4880.102-1
- update to 2.28.4880.102 (rev.05ec132)
- update Source90 to bazel-5.3.2

* Sun Sep 04 2022 tomcat <> 2.28.4830.102-1
- update to 2.28.4830.102 (rev.bf5e3ce)
- add commit ID to source file name (Source0)
- now do not include third party files into Source0
    * Source1 update and change file name
    * add Source15,16,17 for third party files
    * update %%prep section
- update Source90 to bazel-5.3.0

* Sat Jul 30 2022 tomcat <> 2.28.4800.102-2.bazel
- test build
- change build tool from GYP to Bazel
    * add Source90:bazel-5.2.0-linux-x86_64
    * add Patch2:fix-path-for-PCLOS.patch
    * add Patch3:fcitx5-mozc-and-uim-mozc-bazel-build.patch
    * drop zipcode data (Sourc2, Source3), because of these files automatic download at build time
    * drop Patch1:mozc-build-gcc.patch
    * drop BR:ninja
    * drop BR:python3
    * move 'BR:libgtk+2-devel' into uim-mozc
    * rewrite %%build section for bazel build
    * update %%prep and %%install section for bazel build

* Sun Jul 24 2022 tomcat <> 2.28.4800.102-1
- update to 2.28.4800.102 (rev.9dc923a)

* Fri Jul 01 2022 tomcat <> 2.28.4770.102-1
- update to 2.28.4770.102 (rev.5e3542b)
- update zipcode data to 20220630

* Mon Jun 13 2022 tomcat <> 2.28.4750.102-1
- update to 2.28.4750.102 (rev.d0efe11)
- add '--use_gyp_for_ibus_build' flag to build_mozc.py
- fix Source5, Sourc6
- update zipcode data to 20220531

* Sun Apr 24 2022 tomcat <> 2.28.4715.102-1
- update to 2.28.4715.102 (rev.4c5d516)
- Source21 (for fcitx5-mozc) update to rev.126962c

* Tue Mar 22 2022 tomcat <> 2.26.4680.102-1
- update to 2.26.4680.102 (rev.1b95057)
- Source21 (for fcitx5-mozc) update to rev.8c218e0
    * include scripts and icons for fcitx5-mozc
    * drop Source20:fcitx-mozc-icons.ta.xz included to Source21 
- add Source31 from https://github.com/shitamo/mozc instead of macuim-Mozc
    * drop Source30 (macuim-Mozc)
    * update Patch30:fix-uim-mozc.patch

* Sun Mar 06 2022 tomcat <> 2.26.4666.102-1
- update to 2.26.4666.102
- update Source21 (for fcitx5-mozc) to rev.6d2599d
- update zipcode data to 20220228

* Fri Feb 18 2022 tomcat <> 2.26.4646.102-1
- update to 2.26.4646.102

* Tue Feb 08 2022 tomcat <> 2.26.4632.102-1
- update to 2.26.4632.102

* Sun Jan 23 2022 tomcat <> 2.26.4624.102-1
- update to 2.26.4624.102
- update Source21 (for fcitx5-mozc) to rev.f31e89d

* Thu Jan 13 2022 tomcat <> 2.26.4610.102-1
- update to 2.26.4610.102
- update zipcode data to 20211228
- update Source21 (for fcitx5-mozc) to rev.59c4b00
- update Source1:get-mozc-latest-source-code.sh

* Mon Dec 27 2021 tomcat <> 2.26.4596.102-1
- update to 2.26.4596.102

* Mon Dec 06 2021 tomcat <> 2.26.4577.102-1
- update to 2.26.4577.102
- update zipcode data to 20211130
- update Source21 (for fcitx5-mozc) to rev.0ad3cf5

* Tue Nov 09 2021 tomcat <> 2.26.4538.102-1
- update to 2.26.4538.102
- update zipcode data to 20211029
- update Source21 (for fcitx5-mozc) to rev.13c57c2

* Tue Oct 26 2021 tomcat <> 2.26.4527.102-1
- update to 2.26.4527.102
- update zipcode data to 20210930
- update Source21 (for fcitx5-mozc) to rev.064d19b

* Sun Sep 26 2021 tomcat <> 2.26.4507.102-1
- update to 2.26.4507.102

* Thu Sep 23 2021 tomcat <> 2.26.4500.102-1
- update to 2.26.4500.102
- update zipcode data to 20210831
- generate aux_dictionary.txt

* Tue Jul 27 2021 tomcat <> 2.26.4444.102-1
- update to 2.26.4444.102
- update Source21 for fcitx5-mozc

* Tue Jul 06 2021 tomcat <> 2.26.4423.102-1
- update to 2.26.4423.102
- update Source21 for fcitx5-mozc
- add Source30 for uim-mozc
- update Patch30
- drop Patch31 merged to Patch30
- update zipcode data to 20210630

* Tue Jun 01 2021 tomcat <> 2.26.4388.102-1
- update to 2.26.4388.102
- update Source1:get-mozc-latest-source-code.sh
- update zipcode data to 20210531
- add BR:tiff-devel

* Sun May 09 2021 tomcat <> 2.26.4360.102-1
- update to 2.26.4360.102
- update zipcode data to 20210430

* Mon Apr 26 2021 tomcat <> 2.26.4353.102-1
- update to 2.26.4353.102

* Sun Apr 04 2021 tomcat <> 2.26.4332.102-1
- update to 2.26.4332.102

* Thu Apr 01 2021 tomcat <> 2.26.4325.102-1
- update to 2.26.4325.102
- update Source21 for fcitx5-mozc
- update Patch30 for uim-mozc
- update zipcode data to 20210331
- fix %%files ibus-mozc
- fix %%files fcitx5-mozc

* Sun Mar 21 2021 tomcat <> 2.26.4318.102-1
- update to 2.26.4318.102
- use new 48x48 icons on ibus-mozc

* Sun Mar 07 2021 tomcat <> 2.26.4303.102-1
- update to 2.26.4303.102

* Mon Mar 01 2021 tomcat <> 2.26.4297.102-1
- update to 2.26.4297.102
- update zipcode data to 20210226

* Sun Feb 21 2021 tomcat <> 2.26.4289.102-1
- update to 2.26.4289.102
- update Source1:get-mozc-latest-source-code.sh

* Tue Feb 09 2021 tomcat <> 2.26.4276.102-1
- update to 2.26.4276.102
- update zipcode data to 20210129
- now disable fcitx-mozc

* Mon Jan 25 2021 tomcat <> 2.26.4261.102-1
- update to 2.26.4261.102
- update mozc-fcitx to git.b34437d

* Mon Jan 11 2021 tomcat <> 2.26.4237.102-2
- drop Source7

* Mon Jan 11 2021 tomcat <> 2.26.4237.102-1
- update to 2.26.4237.102
- update mozc-fcitx to git.999aa3e
- update Source20 (fcitx-mozc-icons)
- add Source7
- do not use clang
    * add Patch1
    * drop Patch8 merged to Patch1
- update zipcode data to 20201228
- create uim-mozc sub package again
    * add Patch30, original patch from Debian unstable and more modified
    * add patch31

* Wed Dec 23 2020 tomcat <> 2.26.4220.102-2
- build fcitx5-mozc
- update fcitx-mozc to git.1ea889d

* Tue Dec 15 2020 tomcat <> 2.26.4220.102-1
- update to 2.26.4220.102

* Thu Dec 03 2020 tomcat <> 2.26.4206.102-1
- update to 2.26.4206.102
- update fcitx-mozc to git.8441a67
    * drop Patch23
- update Source20:fcitx-mozc-icons.tar.gz
- update zipcode data to 20201130

* Wed Nov 11 2020 tomcat <> 2.25.4180.102-2
- update fcitx-mozc to git.8849857
    * drop 'Patch22:fcitx-mozc-tools-2.25.patch' merged upstream
    * add Patch23:fcitx-mozc-ja-po.patch

* Sun Nov 08 2020 tomcat <> 2.25.4180.102-1
- update to 2.25.4180.102
- add Patch22:fcitx-mozc-tools-2.25.patch

* Sat Nov 07 2020 tomcat <> 2.25.4150.102-1
- update to 2.25.4150.102
- update zipcode data to 202010
- now Source0 included gyp, protobuf, japanese_usage_dictionary
    * drop Source7:gyp-e87d37d.tar.xz
    * drop Source9:japanese_usage_dictionary.tar.xz
    * remove BR:protobuf-devel, protobuf-static-devel
    * drop Patch17:mozc-protobuf.patch
- now mozc remove hand writing feature
    * remove BR:zinnia-devel
    * remove R:zinnia-tomoe-ja,lib64zinnia0 from mozc-tools
- drop Patch2:mozc-build-verbosely.patch
- now mozc support gcc8 or later
    * drop Patch4:mozc-gcc8.patch
- now mozc support new era
    * drop Patch10:add_support_new_japanese_era-1.patch
- drop Patch11:mozc-fix-warning.patch
- now mozc support python3
    * drop Patch15:Change-from-python-to-python3.patch
    * drop Patch16:Change-from-python2-code-to-python3-1.patch
- add Patch8:build-with-libstdc++.patch from openSUSE M17N repository
- update fcitx-mozc for newer mozc
    * add Source21:fcitx-mozc-git.829c045.tar.xz
- now temporary disable uim-mozc due to build error

* Tue Oct 13 2020 tomcat <> 2.23.2815.102-17
- update Source1:get-mozc-2.23.2815.102.sh
- change Patch16 to 'Change-from-python2-code-to-python3-1.patch' 
- update zipcode data to 202009

* Thu Jul 09 2020 tomcat <> 2.23.2815.102-16
- enable uim-mozc again
    * add BR:protobuf-static-devel
- fix %%post and %%preun section in uim-mozc

* Mon Jul 06 2020 tomcat <> 2.23.2815.102-15
- now do not include all third parties in Source0
    * update Source1:get-mozc-latest-source-code.sh
    * add Source9:japanese_usage_dictionary.tar.xz
- now use system installed libprotobuf
    * add BR:protobuf-devel
    * add 'use_libprotobuf=1' to build option
    * do not build uim-mozc
    * drop Source8
    * add Patch17:mozc-protobuf.patch
- update zipcode data to 202006

* Tue May 26 2020 tomcat <> 2.23.2815.102-14
- add Patch15:Change-from-python-to-python3.patch from Debian
    * remove workaround for python3 from %%build section
- change patch number from Patch12 to Patch16
- update zipcode data to 202004

* Fri May 22 2020 tomcat <> 2.23.2815.102-13
- add Patch13:fix-input-mode-selection-status.patch

* Thu Apr 16 2020 tomcat <> 2.23.2815.102-12
- add R:lib64zinnia0 in mozc-tools
- update zipcode to 202003

* Sat Jan 25 2020 tomcat <> 2.23.2815.102-11
- update Source1:get-mozc-latest-source-code.sh
- update Source7:gyp-e87d37d.tar.xz
- add Source8:protobuf-all-3.7.1.tar.gz
- update Patch12:mozc-python3-for-PCLOS.patch
    * original patch from Fedora31 and more modified
- use system installed zinnia
    * add BR:zinnia-devel

* Thu Jan 16 2019 tomcat <> 2.23.2815.102-10
- clean up SPEC file
- update zipcode to 201912
